Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Question about API Tools / API breakage reporting
Question about API Tools / API breakage reporting [message #37512] Fri, 12 December 2008 21:10
Paul Fullbright is currently offline Paul FullbrightFriend
Messages: 201
Registered: July 2009
Senior Member
I have a question about API breakage reporting in API Tools.

I first set up the baseline as described here:
http://wiki.eclipse.org/PDE/API_Tools/User_Guide
(I'm using the entirety of WTP, since our plugins don't come separately.
Dali/JPA Tools is part of WTP.)

I then add the API analysis nature as described in the same guide.

But then the only error (and I've set up everything to be an error for
now) I see is that "The major version should be incremented ... since API
breakage ocurred ..."

Isn't that the point? What if my goal is not to have changed API? I'm
expecting errors telling me that certain methods or classes have been
removed (or added), but the only thing I'm getting is that *something*
major changed, and my only option is to increment the major version.

Am I not understanding something or haven't set up something correctly?

Thanks,
- Paul
Previous Topic:PDE Build fails on Linux with Java returned: 13
Next Topic:Question about API Tools / API breakage reporting
Goto Forum:
  


Current Time: Thu Aug 05 12:11:09 GMT 2021

Powered by FUDForum. Page generated in 0.01237 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top